Unarchive a User
PATCH
/
v1
/
users
/
{uid}
/
unarchive
Unarchive a User
curl --request PATCH \
--url https://api.siit.io/v1/users/{uid}/unarchive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/users/{uid}/unarchive"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/users/{uid}/unarchive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"birthday_date": "2023-12-25",
"city": "<string>",
"country": "<string>",
"employee_number": "<string>",
"first_name": "<string>",
"hire_date": "2023-12-25",
"job_leave_date": "2023-12-25",
"job_start_date": "2023-12-25",
"job_title": "<string>",
"last_name": "<string>",
"last_working_date": "2023-12-25",
"metadata": {},
"preferred_language": "<string>",
"probation_end_date": "2023-12-25",
"work_phone": "<string>",
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"department": "<string>",
"department_uid": "<string>",
"emails": [
"<string>"
],
"full_name": "<string>",
"legal_entity": "<string>",
"legal_entity_uid": "<string>",
"microsoft_entra_ids": [
"<string>"
],
"microsoft_entra_group_ids": [
"<string>"
],
"office_location": "<string>",
"office_location_uid": "<string>",
"report_to": "<string>",
"report_to_uid": "<string>",
"slack_user_id": "<string>",
"status": "employee",
"team_uids": [
"<string>"
],
"teams": [
"<string>"
],
"timezone": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}⌘I
Unarchive a User

